const _my = require("../../../__antmove/api/index.js")(my);
const wx = _my;
// pages/wx_airport/Reported_list/index.js
var {
  getProblemReportList
} = require("../../../utils/api/xiaosha");
Page({
  /**
   * 页面的初始数据
   */
  data: {
    list: []
  },
  // 详情
  goDetails(e) {
    wx.navigateTo({
      url: "/pages/wx_airport/Reported_list/details/index?id=" + e.currentTarget.dataset.item.id
    });
  },
  // 获取上报记录列表
  getProblemReportList() {
    let userInfo = wx.getStorageSync("userInfo");
    let from = {
      adminId: userInfo.orgId ? userInfo.orgId : null,
      userId: userInfo.userId ? userInfo.userId : null
    };
    getProblemReportList(from).then(res => {
      this.setData({
        list: res.data
      });
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {},
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {},
  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getProblemReportList();
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {},
  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {},
  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {},
  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {},
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {},
  antmoveAction: function () {
    //执行时动态赋值，请勿删除
  }
});